<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: drone.hh Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('drone_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">drone.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="drone_8hh.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="cuboid_8hh.html">cuboid.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="rotation_matrix_8hh.html">rotationMatrix.hh</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="class_drone.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_drone.html">Drone</a> : <span class="keyword">public</span> <a class="code" href="class_cuboid.html">Cuboid</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">   13</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">leftFrontRotor_</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">   18</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">leftFrontRotorTranslation_</a>{25, 35, 20};</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">   23</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">leftRearRotor_</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">   28</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">leftRearRotorTranslation_</a>{-35, 12, 20};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">   33</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">rightFrontRotor_</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">   38</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">rightFrontRotorTranslation_</a>{25, -35, 20};</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">   43</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">rightRearRotor_</a>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">   48</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">rightRearRotorTranslation_</a>{-35, -12, 20};</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">   53</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">kRotorModel_</a> = <span class="stringliteral">&quot;solid/rotorModel.dat&quot;</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    [[nodiscard]] <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a>(<span class="keywordtype">double</span> angleChange, <span class="keywordtype">double</span> distance) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">rotateRotor</a>(<span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="class_drone.html#a02f95db1728991ccdd591cf126224038">   75</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#a02f95db1728991ccdd591cf126224038">kLeftFrontRotorFile_</a> = <span class="stringliteral">&quot;solid/leftFrontRotor.dat&quot;</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">   80</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">kRightFrontRotorFile_</a> = <span class="stringliteral">&quot;solid/rightFrontRotor.dat&quot;</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">   85</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">kLeftRearRotorFile_</a> = <span class="stringliteral">&quot;solid/leftRearRotor.dat&quot;</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">   90</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">kRightRearRotorFile_</a> = <span class="stringliteral">&quot;solid/rightRearRotor.dat&quot;</span>;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">   95</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a> = <span class="stringliteral">&quot;solid/droneBody.dat&quot;</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">moveForward</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angleChange, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;distance, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">rotate</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;rotateAngle, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames);</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a>();</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="class_drone.html#a667075abb1eb5c54be6418884a387d14">  126</a></span>&#160;    <a class="code" href="class_drone.html#a667075abb1eb5c54be6418884a387d14">~Drone</a>() {</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        <a class="code" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> -=</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            (<a class="code" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">leftRearRotor_</a>.size() + <a class="code" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">leftFrontRotor_</a>.size() + <a class="code" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">rightRearRotor_</a>.size() + <a class="code" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">rightFrontRotor_</a>.size());</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    }</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_drone.html#a43e891fd105579c5562ada343df72bb2">draw</a>(<span class="keyword">const</span> std::string &amp;cuboidFilename,</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;              <span class="keyword">const</span> std::string &amp;leftFrontRotorFilename,</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;              <span class="keyword">const</span> std::string &amp;rightFrontRotorFilename,</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;              <span class="keyword">const</span> std::string &amp;leftRearRotorFilename,</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;              <span class="keyword">const</span> std::string &amp;rightRearRotorFilename) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">  148</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">getCollisionInformation</a>()<span class="keyword"> const override </span>{</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        std::cerr &lt;&lt; std::endl;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        std::cerr &lt;&lt; <span class="stringliteral">&quot;\tSTOP! The drone was stopped before collision with another drone&quot;</span> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    }</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    [[nodiscard]] <span class="keywordtype">bool</span> <a class="code" href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;};</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_drone_html_a6956f76fc5143f63d9dd980094e747e8"><div class="ttname"><a href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">Drone::rightFrontRotor_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; rightFrontRotor_</div><div class="ttdoc">Set of right front rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00033">drone.hh:33</a></div></div>
<div class="ttc" id="aclass_drone_html_a87cf219b6f515f29b1e3e2927d54249a"><div class="ttname"><a href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">Drone::rightFrontRotorTranslation_</a></div><div class="ttdeci">const Vector3D rightFrontRotorTranslation_</div><div class="ttdoc">Default translation of right front rotor.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00038">drone.hh:38</a></div></div>
<div class="ttc" id="aclass_drone_html"><div class="ttname"><a href="class_drone.html">Drone</a></div><div class="ttdoc">Models the concept of the drone.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00009">drone.hh:9</a></div></div>
<div class="ttc" id="aclass_drone_html_a2bc30e7bd25f21d497efc9ec16236e4c"><div class="ttname"><a href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">Drone::rightRearRotor_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; rightRearRotor_</div><div class="ttdoc">Set of right rear rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00043">drone.hh:43</a></div></div>
<div class="ttc" id="aclass_drone_html_afc2f37e34cc608ac218b1d4fbada0585"><div class="ttname"><a href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">Drone::rightRearRotorTranslation_</a></div><div class="ttdeci">const Vector3D rightRearRotorTranslation_</div><div class="ttdoc">Default translation of right rear rotor.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00048">drone.hh:48</a></div></div>
<div class="ttc" id="arotation_matrix_8hh_html"><div class="ttname"><a href="rotation_matrix_8hh.html">rotationMatrix.hh</a></div></div>
<div class="ttc" id="aclass_drone_html_afd4d76bee5f0f8cc9ce7f66e14fbb517"><div class="ttname"><a href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">Drone::leftFrontRotorTranslation_</a></div><div class="ttdeci">const Vector3D leftFrontRotorTranslation_</div><div class="ttdoc">Default translation of left front rotor.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00018">drone.hh:18</a></div></div>
<div class="ttc" id="aclass_drone_html_accbaf88fac98bcd39a78f9aadf93a256"><div class="ttname"><a href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">Drone::kRotorModel_</a></div><div class="ttdeci">const std::string kRotorModel_</div><div class="ttdoc">File containing the rotor coordinates model.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00053">drone.hh:53</a></div></div>
<div class="ttc" id="aclass_drone_html_af8bc6a465e5d55fdbd0985a03431a40c"><div class="ttname"><a href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Drone::calculateTranslation</a></div><div class="ttdeci">Vector3D calculateTranslation(double angleChange, double distance) const</div><div class="ttdoc">Calculate translation vector.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00029">drone.cpp:29</a></div></div>
<div class="ttc" id="aclass_drone_html_a4491f34e5c9122fe5dd7504ebb5d84cc"><div class="ttname"><a href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">Drone::leftRearRotorTranslation_</a></div><div class="ttdeci">const Vector3D leftRearRotorTranslation_</div><div class="ttdoc">Default translation of left rear rotor.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00028">drone.hh:28</a></div></div>
<div class="ttc" id="aclass_drone_html_a01a729e3096871a868f52fe47eaa09d5"><div class="ttname"><a href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">Drone::leftFrontRotor_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; leftFrontRotor_</div><div class="ttdoc">Set of left front rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00013">drone.hh:13</a></div></div>
<div class="ttc" id="aclass_drone_html_a7722ef37b12631cefe4de331362c1af9"><div class="ttname"><a href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">Drone::kRightRearRotorFile_</a></div><div class="ttdeci">const std::string kRightRearRotorFile_</div><div class="ttdoc">Result file for saving the right rear rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00090">drone.hh:90</a></div></div>
<div class="ttc" id="aclass_drone_html_ae4422a4c9a347bd17c8a8677cf5da787"><div class="ttname"><a href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">Drone::kLeftRearRotorFile_</a></div><div class="ttdeci">const std::string kLeftRearRotorFile_</div><div class="ttdoc">Result file for saving the left rear rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00085">drone.hh:85</a></div></div>
<div class="ttc" id="aclass_drone_html_abe42c3f974859bc10b58e63adb1498c0"><div class="ttname"><a href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">Drone::rotate</a></div><div class="ttdeci">void rotate(const double &amp;rotateAngle, const int &amp;frames)</div><div class="ttdoc">Rotate the drone in OZ axis.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00020">drone.cpp:20</a></div></div>
<div class="ttc" id="aclass_drone_html_ac92e53bc078523b250bba5a33c010b33"><div class="ttname"><a href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">Drone::moveForward</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; moveForward(const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</div><div class="ttdoc">Move drone forward.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00006">drone.cpp:6</a></div></div>
<div class="ttc" id="acuboid_8hh_html"><div class="ttname"><a href="cuboid_8hh.html">cuboid.hh</a></div></div>
<div class="ttc" id="aclass_drone_html_a4afed3fce1016f16071976ebb28695c6"><div class="ttname"><a href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">Drone::kRightFrontRotorFile_</a></div><div class="ttdeci">const std::string kRightFrontRotorFile_</div><div class="ttdoc">Result file for saving the right front rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00080">drone.hh:80</a></div></div>
<div class="ttc" id="aclass_shape_html_aa807a43b362e4ef73df68fe95813ec4a"><div class="ttname"><a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">Shape::currentCounter_</a></div><div class="ttdeci">static unsigned currentCounter_</div><div class="ttdoc">Number of current Vector3D objects.</div><div class="ttdef"><b>Definition:</b> <a href="shape_8hh_source.html#l00040">shape.hh:40</a></div></div>
<div class="ttc" id="aclass_drone_html_a02f95db1728991ccdd591cf126224038"><div class="ttname"><a href="class_drone.html#a02f95db1728991ccdd591cf126224038">Drone::kLeftFrontRotorFile_</a></div><div class="ttdeci">const std::string kLeftFrontRotorFile_</div><div class="ttdoc">Result file for saving the left front rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00075">drone.hh:75</a></div></div>
<div class="ttc" id="aclass_drone_html_a440b33102738741a35de3f6a855ac0dd"><div class="ttname"><a href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">Drone::getCollisionInformation</a></div><div class="ttdeci">void getCollisionInformation() const override</div><div class="ttdoc">Displays error message, that in the next step will be collision with another drone.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00148">drone.hh:148</a></div></div>
<div class="ttc" id="aclass_drone_html_a56f1e93b78d78a6d64929288eee02610"><div class="ttname"><a href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">Drone::kDroneFile</a></div><div class="ttdeci">const std::string kDroneFile</div><div class="ttdoc">Result file for saving the drone body coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00095">drone.hh:95</a></div></div>
<div class="ttc" id="aclass_drone_html_a43e891fd105579c5562ada343df72bb2"><div class="ttname"><a href="class_drone.html#a43e891fd105579c5562ada343df72bb2">Drone::draw</a></div><div class="ttdeci">void draw(const std::string &amp;cuboidFilename, const std::string &amp;leftFrontRotorFilename, const std::string &amp;rightFrontRotorFilename, const std::string &amp;leftRearRotorFilename, const std::string &amp;rightRearRotorFilename) const</div><div class="ttdoc">Saves the bottom coordinates to a result file.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00067">drone.cpp:67</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="class_vector.html">Vector</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_8hh_source.html#l00013">Vector.hh:13</a></div></div>
<div class="ttc" id="aclass_drone_html_a7a43dc06d8b00fd2e9615ad26c72887c"><div class="ttname"><a href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">Drone::rotateRotor</a></div><div class="ttdeci">void rotateRotor(const int &amp;frames)</div><div class="ttdoc">Rotates the rotors.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00112">drone.cpp:112</a></div></div>
<div class="ttc" id="aclass_drone_html_ab692baa4be5c43b72990ce1b01bdc805"><div class="ttname"><a href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone::Drone</a></div><div class="ttdeci">Drone()</div><div class="ttdoc">Constructor for Drone class.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00042">drone.cpp:42</a></div></div>
<div class="ttc" id="aclass_drone_html_ac1cf098d9ba9b78908abd1f247967987"><div class="ttname"><a href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">Drone::leftRearRotor_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; leftRearRotor_</div><div class="ttdoc">Set of left rear rotor coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00023">drone.hh:23</a></div></div>
<div class="ttc" id="aclass_cuboid_html"><div class="ttname"><a href="class_cuboid.html">Cuboid</a></div><div class="ttdoc">Models the concept of the cuboid.</div><div class="ttdef"><b>Definition:</b> <a href="cuboid_8hh_source.html#l00014">cuboid.hh:14</a></div></div>
<div class="ttc" id="aclass_drone_html_aaaf054aec74ad44a41dc5957f1e36b87"><div class="ttname"><a href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">Drone::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</div><div class="ttdoc">Checks if in the next step of movement will be collision with another drone.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8cpp_source.html#l00038">drone.cpp:38</a></div></div>
<div class="ttc" id="aclass_drone_html_a667075abb1eb5c54be6418884a387d14"><div class="ttname"><a href="class_drone.html#a667075abb1eb5c54be6418884a387d14">Drone::~Drone</a></div><div class="ttdeci">~Drone()</div><div class="ttdoc">Destructor for Drone class.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00126">drone.hh:126</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="drone_8hh.html">drone.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
